Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/analytics/reference/) # Analytics API Reference * Feeds * getList feeds * getGet feed * Subscriptions * getList subscriptions * getGet subscription * Results * getGet collection * getList results * getGet result * OGC * getService root * getConformance details [API docs by Redocly](https://redocly.com/redoc/) # Planet Analytics (v1) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/analytics-api-spec.yaml) Planet Analytics leverages computer vision to transform our imagery into analytic feeds that detect and classify objects, identify geographic features, and monitor change over time across the globe. The Analytics API provides operations for working with [feeds](#tag/Feeds), [subscriptions](#tag/Subscriptions), and collections of [results](#tag/Results). ## [](#tag/Feeds)Feeds A feed represents an analytic derived from Planet imagery. For example, a roads feed represents roads detected on monthly Planet mosaics and a vessels feed represents ships detected on daily Planet imagery. ## [](#tag/Feeds/paths/~1feeds~1/get)List feeds Get a list of available feeds. Feeds are returned in descending creation order (most recently created first). ##### Authorizations: *JWT**APIKey**Basic* ##### query Parameters | | | | ------ | ------------------------------------------------------------------------------------------ | | before | stringWhen paginating, provide the identifier for last feed on previous page. | | limit | integer \ \[ 1 .. 10000 ]Default: 250Upper limit for the number of feeds returned. | ### Responses **200** List of feeds. **401** Authentication information is missing or invalid. **default** Trouble listing feeds. get/feeds/ https\://api.planet.com/analytics/feeds/ ### Response samples * 200 * default Content type application/jsonapplication/json Copy Expand all Collapse all `{ "data": [ { "created": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "source": [ { "config": { "property1": { }, "property2": { } }, "name": "string", "type": "image" } ], "target": { "config": { "property1": { }, "property2": { } }, "type": "collection" }, "title": "string", "updated": "2019-08-24T14:15:22Z" } ], "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "more": true }` ## [](#tag/Feeds/paths/~1feeds~1{id}/get)Get feed Get details for a feed. ##### Authorizations: *JWT**APIKey**Basic* ##### path Parameters | | | | ---------- | -------------- | | idrequired | stringFeed ID. | ### Responses **200** Feed info. **401** Authentication information is missing or invalid. **404** The requested resource was not found. **default** Trouble getting feed. get/feeds/{id} https\://api.planet.com/analytics/feeds/{id} ### Response samples * 200 * 404 * default Content type application/jsonapplication/json Copy Expand all Collapse all `{ "created": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "source": [ { "config": { "property1": { }, "property2": { } }, "name": "string", "type": "image" } ], "target": { "config": { "property1": { }, "property2": { } }, "type": "collection" }, "title": "string", "updated": "2019-08-24T14:15:22Z" }` ## [](#tag/Subscriptions)Subscriptions Users have subscriptions to feeds in a specific area of interest (AOI) and time interval of interest (TOI). For example, a subscription could be road detection over twelve months in San Francisco, California. ## [](#tag/Subscriptions/paths/~1subscriptions~1/get)List subscriptions Get a list of all subscriptions. Subscriptions are returned in descending creation order (most recently created first). ##### Authorizations: *JWT**APIKey**Basic* ##### query Parameters | | | | ------ | -------------------------------------------------------------------------------------------------- | | feedID | string | | before | stringWhen paginating, provide the identifier for last subscription on previous page. | | limit | integer \ \[ 1 .. 10000 ]Default: 250Upper limit for the number of subscriptions returned. | ### Responses **200** Subscription list. **401** Authentication information is missing or invalid. **default** Trouble listing subscriptions. get/subscriptions/ https\://api.planet.com/analytics/subscriptions/ ### Response samples * 200 * default Content type application/jsonapplication/json Copy Expand all Collapse all `{ "data": [ { "created": "2019-08-24T14:15:22Z", "description": "string", "endTime": "2019-08-24T14:15:22Z", "feedID": "string", "geometry": { "type": "string" }, "id": "string", "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "sourceUpdated": "2019-08-24T14:15:22Z", "startTime": "2019-08-24T14:15:22Z", "title": "string", "updated": "2019-08-24T14:15:22Z" } ], "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "more": true }` ## [](#tag/Subscriptions/paths/~1subscriptions~1{id}/get)Get subscription Get subscription info. ##### Authorizations: *JWT**APIKey**Basic* ##### path Parameters | | | | ---------- | ---------------------- | | idrequired | stringSubscription ID. | ### Responses **200** Subscription info. **401** Authentication information is missing or invalid. **404** The requested resource was not found. **default** Trouble getting subscription. get/subscriptions/{id} https\://api.planet.com/analytics/subscriptions/{id} ### Response samples * 200 * 404 * default Content type application/jsonapplication/json Copy Expand all Collapse all `{ "created": "2019-08-24T14:15:22Z", "description": "string", "endTime": "2019-08-24T14:15:22Z", "feedID": "string", "geometry": { "type": "string" }, "id": "string", "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "sourceUpdated": "2019-08-24T14:15:22Z", "startTime": "2019-08-24T14:15:22Z", "title": "string", "updated": "2019-08-24T14:15:22Z" }` ## [](#tag/Results)Results When new imagery is published in a user's subscription, Planet’s computer vision operations process the imagery, and its output is added to the collection of results associated with the subscription. For example, if a user has a subscription for the vessel feed, newly published daily imagery within that subscription AOI will be processed and new ship detections will be added to the subscription results. For raster-based output like building detections, results representing the footprint and linking to the raster data are added to the collection of subscription results. ## [](#tag/Results/paths/~1collections~1{id}/get)Get collection Get metadata for a single results collection. ##### Authorizations: *JWT**APIKey**Basic* ##### path Parameters | | | | ---------- | ---------------------- | | idrequired | stringSubscription ID. | ### Responses **200** Collection info. **401** Authentication information is missing or invalid. **404** The requested resource was not found. **default** Trouble getting collection. get/collections/{id} https\://api.planet.com/analytics/collections/{id} ### Response samples * 200 * 404 * default Content type application/jsonapplication/json Copy Expand all Collapse all `{ "created": "2019-08-24T14:15:22Z", "description": "string", "extent": { "spatial": { "bbox": [ "[-180, -90, 180, 90]" ] }, "temporal": { "interval": [ "[\"2019-01-01T00:00:00.00Z\", \"2019-02-01T00:00:00.00Z\"]" ] } }, "id": "string", "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "title": "string" }` ## [](#tag/Results/paths/~1collections~1{subscriptionID}~1items~1/get)List results Paginate through results for a subscription. Results are returned in descending creation order. Result IDs act as cursors when paginating backwards or forwards. To get older pages of results, use the `before` query parameter with the id of the oldest (last) result in a page of results. When returning to the API to query for newly created results, use the `after` query parameter with the id of the newest (first) result in a page. Results have a `created` field that can be stored and used later for sorting to determine the oldest or newest result from a previous query. ##### Authorizations: *JWT**APIKey**Basic* ##### path Parameters | | | | ---------------------- | ---------------------- | | subscriptionIDrequired | stringSubscription ID. | ##### query Parameters | | | | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | limit | integer \ \[ 1 .. 10000 ]Default: 250Upper limit for the number of results returned. | | bbox | Array of numbers = 4 itemsOnly return results that intersect the provided bounding box. Bounding box values are min longitude, min latitude, max longitude, and max latitude (e.g. `-100,-50,100,50`). | | time | stringAlias for `datetime`. Please use the `datetime` parameter instead. This property is deprecated and will be removed in a future release. | | datetime | stringOnly return results that were observed in the given interval or instant. The time can be a closed interval (e.g. `2019-01-01T00:00:00.00Z/2019-02-01T00:00:00.00Z` for the month of January), an open interval (e.g. `2019-01-01T00:00:00.00Z/..` for all results in January or later and `../2019-01-01T00:00:00.00Z` for all results before January), or an instant (e.g. `2019-01-01T00:00:00.00Z`). Start times for intervals are inclusive, and end times are exclusive. | | before | stringGet results published before the item with the provided ID. | | after | stringGet results published after the item with the provided ID. | ### Responses **200** A GeoJSON FeatureCollection representing a page of result. **401** Authentication information is missing or invalid. **404** The requested resource was not found. **default** Trouble getting results. get/collections/{subscriptionID}/items/ https\://api.planet.com/analytics/collections/{subscriptionID}/items/ ### Response samples * 200 * 404 * default Content type application/geo+json Copy Expand all Collapse all `{ "features": [ { "created": "2019-08-24T14:15:22Z", "geometry": { "type": "string" }, "id": "string", "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "properties": { "property1": { }, "property2": { } }, "type": "Feature" } ], "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "type": "FeatureCollection" }` ## [](#tag/Results/paths/~1collections~1{subscriptionID}~1items~1{resultID}/get)Get result Get a single result. ##### Authorizations: *JWT**APIKey**Basic* ##### path Parameters | | | | ---------------------- | ---------------------- | | subscriptionIDrequired | stringSubscription ID. | | resultIDrequired | stringResult ID. | ### Responses **200** A GeoJSON Feature representing a result. **401** Authentication information is missing or invalid. **404** The requested resource was not found. **default** Trouble getting result. get/collections/{subscriptionID}/items/{resultID} https\://api.planet.com/analytics/collections/{subscriptionID}/items/{resultID} ### Response samples * 200 * 404 * default Content type application/geo+json Copy Expand all Collapse all `{ "created": "2019-08-24T14:15:22Z", "geometry": { "type": "string" }, "id": "string", "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ], "properties": { "property1": { }, "property2": { } }, "type": "Feature" }` ## [](#tag/OGC)OGC Operations specific to the OGC API - Features interface. ## [](#tag/OGC/paths/~1/get)Service root Get links to resources provided by the service. ##### Authorizations: *JWT**APIKey**Basic* ### Responses **200** Service root. **default** Trouble rendering service root. get/ https\://api.planet.com/analytics/ ### Response samples * 200 * default Content type application/jsonapplication/json Copy Expand all Collapse all `{ "links": [ { "href": "string", "rel": "next", "title": "Title of the Document", "type": "application/json" } ] }` ## [](#tag/OGC/paths/~1conformance/get)Conformance details Get details about OGC API - Features conformance. ##### Authorizations: *JWT**APIKey**Basic* ### Responses **200** Conformance details. **default** Trouble rendering service conformance. get/conformance https\://api.planet.com/analytics/conformance ### Response samples * 200 * default Content type application/jsonapplication/json Copy Expand all Collapse all `{ "conformsTo": [ "string" ] }`